org.apache.maven.scm.provider

## Class ScmProviderRepositoryWithHost

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

- Direct Known Subclasses:
    BazaarScmProviderRepository, CvsScmProviderRepository, GitScmProviderRepository, HgScmProviderRepository, PerforceScmProviderRepository, StarteamScmProviderRepository, SvnScmProviderRepository

      public abstract class ScmProviderRepositoryWithHost
      extends ScmProviderRepository

  Version:
    $Id: ScmProviderRepositoryWithHost.java 754778 2009-03-15 22:26:37Z olamy $
  Author:
    Emmanuel Venisse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScmProviderRepositoryWithHost()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()`
    `String` | `getPassphrase()`
    `int` | `getPort()`
    `String` | `getPrivateKey()`
    `void` | `setHost(String host)`
    `void` | `setPassphrase(String passphrase)`
    `void` | `setPort(int port)`
    `void` | `setPrivateKey(String privateKey)`

    - ### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

      `getParent, getPassword, getRelativePath, getUser, isPersistCheckout, setPassword, setPersistCheckout, setUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScmProviderRepositoryWithHost

          public ScmProviderRepositoryWithHost()

  - ### Method Detail

    - #### getHost

          public String getHost()

    - #### setHost

          public void setHost(String host)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getPrivateKey

          public String getPrivateKey()

    - #### setPrivateKey

          public void setPrivateKey(String privateKey)

    - #### getPassphrase

          public String getPassphrase()

    - #### setPassphrase

          public void setPassphrase(String passphrase)

Copyright © 2003–2015. All rights reserved.